org.eclipse.ease.ui.scripts.ui

## Class ScriptSelectionDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.ease.ui.scripts.ui.ScriptSelectionDialog

All Implemented Interfaces:
  IShellProvider

    public class ScriptSelectionDialog
    extends Dialog

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK`

### Constructor Summary

Constructors
Constructor and Description
`ScriptSelectionDialog(Shell parentShell, IWorkbenchPartSite iWorkbenchPartSite)` Construct Macro dialog that shows all Macros in Environment and then you can choose Macro to run

### Method Summary

All Methods Instance Methods Concrete Methods
`IScript` `getMacro()`
`void` `okPressed()`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptSelectionDialog

    public ScriptSelectionDialog(Shell parentShell,
                                 IWorkbenchPartSite iWorkbenchPartSite)

Construct Macro dialog that shows all Macros in Environment and then you can choose Macro to run

Parameters:
  `parentShell` - Shell from Parent
  `iWorkbenchPartSite` - Workbench Site

### Method Detail

#### okPressed

    public void okPressed()

Overrides:
  `okPressed` in class `Dialog`

#### getMacro

    public IScript getMacro()

Returns:
  the selected Macro